CREATE TABLE cst_qpp_icp_2650_dyd (
    ITEM_COST_PROFILE_ID            NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    COST_ORG_ID                     NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID                    NUMBER(18, 0)     NOT NULL,
    INVENTORY_ORG_ID                NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID               NUMBER(18, 0)     NOT NULL,
    PRIMARY_UOM_CODE                VARCHAR2(120) ,
    INVENTORY_ITEM_FLAG             NUMBER(18, 0) ,
    INVENTORY_ASSET_FLAG            NUMBER(18, 0) ,
    LOT_CONTROL_CODE                NUMBER(18, 0) ,
    SERIAL_NUMBER_CONTROL_CODE      NUMBER(18, 0) ,
    LOCATION_CONTROL_CODE           NUMBER(18, 0) ,
    COST_ENABLED_FLAG               NUMBER        ,
    SECONDARY_UOM_ENABLED_FLAG      NUMBER(18, 0) ,
    GRADE_CONTROL_FLAG              NUMBER(18, 0) ,
    CREATION_SOURCE_CODE            VARCHAR2(120)     NOT NULL,
    ASSET_COST_PROFILE_ID           NUMBER(18, 0)     NOT NULL,
    ASSET_UOM_TYPE                  VARCHAR2(120) ,
    ASSET_UOM_CODE                  VARCHAR2(120) ,
    ASSET_LOT_COST_METHOD           NUMBER        ,
    ASSET_SERIAL_COST_METHOD        NUMBER        ,
    ASSET_INV_ORG_ENABLED           NUMBER(18, 0) ,
    ASSET_SUBINVENTORY_ENABLED      NUMBER(18, 0) ,
    ASSET_LOCATOR_ENABLED           NUMBER(18, 0) ,
    ASSET_LOT_ENABLED               NUMBER(18, 0) ,
    ASSET_SERIAL_ENABLED            NUMBER(18, 0) ,
    ASSET_GRADE_ENABLED             NUMBER(18, 0) ,
    EXPENSE_COST_PROFILE_ID         NUMBER(18, 0)     NOT NULL,
    EXPENSE_UOM_TYPE                VARCHAR2(120) ,
    EXPENSE_UOM_CODE                VARCHAR2(120) ,
    EXPENSE_LOT_COST_METHOD         NUMBER        ,
    EXPENSE_SERIAL_COST_METHOD      NUMBER        ,
    EXPENSE_INV_ORG_ENABLED         NUMBER(18, 0) ,
    EXPENSE_SUBINVENTORY_ENABLED    NUMBER(18, 0) ,
    EXPENSE_LOCATOR_ENABLED         NUMBER(18, 0) ,
    EXPENSE_GRADE_ENABLED           NUMBER(18, 0) ,
    EXPENSE_LOT_ENABLED             NUMBER(18, 0) ,
    EXPENSE_SERIAL_ENABLED          NUMBER(18, 0) ,
    DEFAULT_COST_PROFILE_ID         NUMBER(18, 0) ,
    PROFILE_CREATION_CODE           VARCHAR2(120)     NOT NULL,
    STATUS_CODE                     VARCHAR2(120)     NOT NULL,
    ASSET_ERROR_MESSAGE             VARCHAR2(120) ,
    EXPENSE_ERROR_MESSAGE           VARCHAR2(120) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    ITEM_COST_PROFILE_ID            NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    COST_ORG_ID                     NUMBER(18, 0)     NOT NULL,
    COST_BOOK_ID                    NUMBER(18, 0)     NOT NULL,
    INVENTORY_ORG_ID                NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID               NUMBER(18, 0)     NOT NULL,
    PRIMARY_UOM_CODE                VARCHAR2(120) ,
    INVENTORY_ITEM_FLAG             NUMBER(18, 0) ,
    INVENTORY_ASSET_FLAG            NUMBER(18, 0) ,
    LOT_CONTROL_CODE                NUMBER(18, 0) ,
    SERIAL_NUMBER_CONTROL_CODE      NUMBER(18, 0) ,
    LOCATION_CONTROL_CODE           NUMBER(18, 0) ,
    COST_ENABLED_FLAG               NUMBER        ,
    SECONDARY_UOM_ENABLED_FLAG      NUMBER(18, 0) ,
    GRADE_CONTROL_FLAG              NUMBER(18, 0) ,
    CREATION_SOURCE_CODE            VARCHAR2(120)     NOT NULL,
    ASSET_COST_PROFILE_ID           NUMBER(18, 0)     NOT NULL,
    ASSET_UOM_TYPE                  VARCHAR2(120) ,
    ASSET_UOM_CODE                  VARCHAR2(120) ,
    ASSET_LOT_COST_METHOD           NUMBER        ,
    ASSET_SERIAL_COST_METHOD        NUMBER        ,
    ASSET_INV_ORG_ENABLED           NUMBER(18, 0) ,
    ASSET_SUBINVENTORY_ENABLED      NUMBER(18, 0) ,
    ASSET_LOCATOR_ENABLED           NUMBER(18, 0) ,
    ASSET_LOT_ENABLED               NUMBER(18, 0) ,
    ASSET_SERIAL_ENABLED            NUMBER(18, 0) ,
    ASSET_GRADE_ENABLED             NUMBER(18, 0) ,
    EXPENSE_COST_PROFILE_ID         NUMBER(18, 0)     NOT NULL,
    EXPENSE_UOM_TYPE                VARCHAR2(120) ,
    EXPENSE_UOM_CODE                VARCHAR2(120) ,
    EXPENSE_LOT_COST_METHOD         NUMBER        ,
    EXPENSE_SERIAL_COST_METHOD      NUMBER        ,
    EXPENSE_INV_ORG_ENABLED         NUMBER(18, 0) ,
    EXPENSE_SUBINVENTORY_ENABLED    NUMBER(18, 0) ,
    EXPENSE_LOCATOR_ENABLED         NUMBER(18, 0) ,
    EXPENSE_GRADE_ENABLED           NUMBER(18, 0) ,
    EXPENSE_LOT_ENABLED             NUMBER(18, 0) ,
    EXPENSE_SERIAL_ENABLED          NUMBER(18, 0) ,
    DEFAULT_COST_PROFILE_ID         NUMBER(18, 0) ,
    PROFILE_CREATION_CODE           VARCHAR2(120)     NOT NULL,
    STATUS_CODE                     VARCHAR2(120)     NOT NULL,
    ASSET_ERROR_MESSAGE             VARCHAR2(120) ,
    EXPENSE_ERROR_MESSAGE           VARCHAR2(120) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600)
);
